<div class="confirm-modal-head flex flex-col p-4">

  <div class="flex justify-between items-center mb-2">
    <h1 mat-dialog-title>Approve Contract</h1>
    <div mat-dialog-actions>
      <button mat-icon-button aria-label="Close Approve Contract Dialog" mat-dialog-close>
        <mat-icon>close</mat-icon>
      </button>
    </div>
  </div>

  <div>

    <small>
      <span>Approve {{data.asset.ticker}} to be used by</span> <br />
      <span>MayaChain smart contract</span> <br />
      <span>{{data.routerAddress}}</span>
    </small>

  </div>

</div>

<div class="clear-both">
  <div class="confirm-modal-content">

    <div>

      <div *ngIf="loading" style="height: 56px;" class="flex justify-center items-center w-full mt-4">
        <mat-progress-spinner mode="indeterminate" diameter="30"></mat-progress-spinner>
      </div>

      <button *ngIf="!loading" (click)="approve()" mat-flat-button color="primary" class="main-action-btn w-full" [disabled]="insufficientEthBalance">
        <span *ngIf="!insufficientEthBalance">Approve</span>
        <span *ngIf="insufficientEthBalance">Insufficient ETH</span>
      </button>

    </div>

  </div>
</div>
